Subject: Re: [PATCH] doc: note that interactive.singleKey is disabled by default

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 May 2024 13:45:30 -0700

Dragan Simic <[email-masked]> writes:

>   interactive.singleKey
>      If true, allow the user to provide one-letter input with a
>      single key (i.e., without hitting Enter key) in interactive
>      commands.
>      [...]
>
> Thoughts?  It would be more consistent and a bit more clear, without
> putting too much stress on the actual default value.

"When set to true" or "when configured to true" is much better than
"defaults to true".

I am ambivalent about "If true", though.  It still leaves it open
for some mysterious "default" mechanism giving the value true
without user doing anything explicitly.